pstream.h File Reference

Declares all PStreams classes. More...

`#include <ios>`
`#include <streambuf>`
`#include <istream>`
`#include <ostream>`
`#include <string>`
`#include <vector>`
`#include <algorithm>`
`#include <cerrno>`
`#include <cstddef>`
`#include <cstdlib>`
`#include <sys/types.h>`
`#include <sys/wait.h>`
`#include <sys/ioctl.h>`
`#include <unistd.h>`
`#include <signal.h>`
`#include <fcntl.h>`

Go to the source code of this file.

## Classes

struct | redi::pstreams
| Common base class providing constants and typenames. More...
class | redi::basic_pstreambuf< CharT, Traits >
| Class template for stream buffer. More...
class | redi::pstream_common< CharT, Traits >
| Class template for common base class. More...
class | redi::basic_ipstream< CharT, Traits >
| Class template for Input PStreams. More...
class | redi::basic_opstream< CharT, Traits >
| Class template for Output PStreams. More...
class | redi::basic_pstream< CharT, Traits >
| Class template for Bidirectional PStreams. More...
class | redi::basic_rpstream< CharT, Traits >
| Class template for Restricted PStreams. More...

## Namespaces

| redi
| All PStreams classes are declared in namespace redi.

## Macros

#define | PSTREAMS_VERSION 0x0080
| The library version.

## Typedefs

typedef basic_pstreambuf< char > | redi::pstreambuf
| Type definition for common template specialisation.
typedef basic_ipstream< char > | redi::ipstream
| Type definition for common template specialisation.
typedef basic_opstream< char > | redi::opstream
| Type definition for common template specialisation.
typedef basic_pstream< char > | redi::pstream
| Type definition for common template specialisation.
typedef basic_rpstream< char > | redi::rpstream
| Type definition for common template specialisation.

## Detailed Description

Declares all PStreams classes.

Author
  Jonathan Wakely

Defines classes redi::ipstream, redi::opstream, redi::pstream and redi::rpstream.